function [y] = matchedFilter(x,r)
%matchedFilter -- FFT-based matched filter
%  ex.: y = matchedFilter(x,r);
%  Returns matched filter signal x using replica 'r'.
[M,N] = size(x);
r = repmat([r(:);zeros(M-length(r),1)],1,N);
y = ifft(fft(x).*conj(fft(r)));