function [y]  = equalizeLineSamples(x,fname)
%equalizeLineSamples -- Equalize Line Samples Using EQ-Coefs File
%  ex.: y = equalizeLineSamples(x,fname); Equalize samples x in the
%  frequency domain using equalizer coefficients stored in file 'fname'.
fid = fopen(fname);
H = fread(fid,inf,'double');
H = complex(H(1:2:end),H(2:2:end)) + j*10^(-10);
H = abs(H);
fclose(fid);
y = real(ifft(H.*fft(x)));
end